
/*
 Copyright 2016 Goldman Sachs.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing,
 software distributed under the License is distributed on an
 "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied.  See the License for the
 specific language governing permissions and limitations
 under the License.
 */

package com.gs.fw.common.mithra.generator;

import com.gs.fw.common.mithra.generator.metamodel.EnumerationMappingType;

public class EnumerationAttributeMapping
{

    private final EnumerationAttribute parent;
    private final EnumerationMappingType wrapped;

    public EnumerationAttributeMapping(EnumerationAttribute parent, EnumerationMappingType wrapped)
    {
        this.parent = parent;
        this.wrapped = wrapped;
    }

    public String getMemberName()
    {
        return this.wrapped.getMemberName();
    }

    public String getDatabaseValue()
    {
        return this.wrapped.getDatabaseValue();
    }
}
